pyFAI.gui.tasks package
=======================

pyFAI.gui.tasks.AbstractCalibrationTask module
----------------------------------------------

.. automodule:: pyFAI.gui.tasks.AbstractCalibrationTask
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.tasks.ExperimentTask module
-------------------------------------

.. automodule:: pyFAI.gui.tasks.ExperimentTask
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.tasks.GeometryTask module
-----------------------------------

.. automodule:: pyFAI.gui.tasks.GeometryTask
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.tasks.IntegrationTask module
--------------------------------------

.. automodule:: pyFAI.gui.tasks.IntegrationTask
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.tasks.MaskTask module
-------------------------------

.. automodule:: pyFAI.gui.tasks.MaskTask
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.tasks.PeakPickingTask module
--------------------------------------

.. automodule:: pyFAI.gui.tasks.PeakPickingTask
    :members:
    :undoc-members:
    :show-inheritance:


Module contents
---------------

.. automodule:: pyFAI.gui.tasks
    :members:
    :undoc-members:
    :show-inheritance:
